Subject: bug#10011: 24.0.91; Password prompt on linux console reads only every second key

From: Daiki Ueno <[email-masked]>
Date: Fri, 11 Nov 2011 10:11:40 +0900

unarchive 8791
forcemerge 8791 10011
thanks

Tassilo Horn <[email-masked]> writes:

> When I fire up emacs in a plain linux console and try to find an
> encrypted file like C-x C-f ~/.authinfo.gpg RET, I get a password prompt
> like
>
>   +----------------| Password:
>
> at the bottom of the screen.

Do you mean you started up emacs without X?  If so...

> I get a different, dialog-like password prompt:
>
>    +---------------------------+
>    | Password:                 |
>    | _________________________ |
>    | <Ok>            <Cancel>  |
>    +---------------------------+

...looks like a pinentry-curses dialog.  Actually the integration of
pinentry-curses with Emacs is not yet ready:
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8791#8
I was a bit surprised that the dialog is somehow working :)

Anyway, workarounds are to use gpg1 without gpg-agent, or to preset your
passphrase with gpg-preset-passphrase.

Regards,
-- 
Daiki Ueno